For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Logo
LoginSandbox
Platform GuidesAPI DocsSDKMCP ServerChangelog
Platform GuidesAPI DocsSDKMCP ServerChangelog
  • Solvimon API
    • Base URL
    • Authentication
    • HTTP status codes
    • Resources
    • Standardisation
  • Configuration API
      • GETGet a list of all customers
      • POSTCreate a customer
      • PUTUpdate or create a customer (upsert)
      • GETGet a customer by ID or reference
      • DELDelete a customer by ID or reference
      • PATCHUpdate a customer by ID or reference
      • GETGet a customer its entitlements
      • POSTActivate a customer
      • POSTDeprecate a customer
      • POSTArchive a customer
      • POSTForget a customer
      • POSTGet the balance of all wallets of a customer
      • POSTSearch customers
      • POSTValidate tax id values
  • Identity API
  • Transaction API
  • Event API
LoginSandbox
Configuration APICustomers

Update or create a customer (upsert)

PUT
/v:version/customers
PUT
/v:version/customers
$curl -X PUT https://test.api.solvimon.com/v1/customers \
> -H "X-API-KEY: <apiKey>" \
> -H "Content-Type: application/json" \
> -d '{
> "type": "ORGANIZATION",
> "reference": "superstore-001",
> "status": "DRAFT",
> "timezone": "Europe/Berlin",
> "email": "invoices@superstore.de",
> "organization": {
> "legal_name": "SuperStore GmbH",
> "tax_id": "12/345/67890",
> "registered_address": {
> "line1": "Hasengarten 14",
> "city": "Berlin",
> "postal_code": "79341",
> "state": "",
> "country": "DE"
> }
> }
>}'
1{
2 "object_type": "string",
3 "id": "string",
4 "created_at": "string",
5 "parent_customer_id": "string",
6 "parent_customer_ids": [
7 "string"
8 ],
9 "reference": "string",
10 "status": "DRAFT",
11 "timezone": "string",
12 "type": "ORGANIZATION",
13 "email": "string",
14 "notification_preferences": [
15 {
16 "type": "INVOICE",
17 "channels": [
18 {
19 "type": "EMAIL",
20 "enabled": true
21 }
22 ]
23 }
24 ],
25 "locale": "string",
26 "individual": {
27 "name": {
28 "first_name": "string",
29 "last_name": "string",
30 "infix": "string"
31 },
32 "residential_address": {
33 "line1": "string",
34 "line2": "string",
35 "city": "string",
36 "postal_code": "string",
37 "state": "string",
38 "country": "AD"
39 }
40 },
41 "organization": {
42 "legal_name": "string",
43 "tax_id": "string",
44 "tax_ids": [
45 {
46 "id": "string",
47 "type": "GENERIC_TAX_ID",
48 "display_name": "string",
49 "tax_id_validation_result": {
50 "id": "string",
51 "validation_date": "string",
52 "source": "string",
53 "valid": "VALID",
54 "message": "string"
55 }
56 }
57 ],
58 "registration_number": "string",
59 "tax_exempt": true,
60 "tax_exempt_note": "string",
61 "registered_address": {
62 "line1": "string",
63 "line2": "string",
64 "city": "string",
65 "postal_code": "string",
66 "state": "string",
67 "country": "AD"
68 },
69 "tax_registrations": [
70 {
71 "id": "string",
72 "description": "string",
73 "tax_id": "string",
74 "tax_ids": [
75 {
76 "id": "string",
77 "type": "GENERIC_TAX_ID",
78 "display_name": "string",
79 "tax_id_validation_result": {
80 "id": "string",
81 "validation_date": "string",
82 "source": "string",
83 "valid": "VALID",
84 "message": "string"
85 }
86 }
87 ],
88 "registration_number": "string",
89 "registered_address": {
90 "line1": "string",
91 "line2": "string",
92 "city": "string",
93 "postal_code": "string",
94 "state": "string",
95 "country": "AD"
96 }
97 }
98 ]
99 },
100 "custom_fields": [
101 {
102 "id": "string",
103 "reference": "string",
104 "value": "string",
105 "values": [
106 "string"
107 ],
108 "integration_details": {
109 "id": "string",
110 "reference": "string",
111 "payment_gateway_variant": "ADYEN",
112 "adyen": {
113 "recurring_detail_reference": "string"
114 },
115 "stripe": {
116 "payment_method_id": "string"
117 }
118 }
119 }
120 ],
121 "processing_only": true,
122 "pricing_plan_subscription_selector": {
123 "data": [
124 {
125 "field": "BILLING_ENTITY_REGISTERED_ADDRESS_COUNTRY",
126 "value": "string"
127 }
128 ],
129 "rules": [
130 {
131 "field": "BILLING_ENTITY_REGISTERED_ADDRESS_COUNTRY",
132 "type": "EQUALS"
133 }
134 ],
135 "filters": [
136 {
137 "field": "BILLING_ENTITY_REGISTERED_ADDRESS_COUNTRY",
138 "type": "EQUALS",
139 "value": "string"
140 }
141 ],
142 "fallback": "LATEST"
143 },
144 "linked_integrations": [
145 {
146 "id": "string",
147 "link_details": [
148 {
149 "url": "string",
150 "custom_field_name": "string"
151 }
152 ]
153 }
154 ],
155 "roles": [
156 "DEFAULT"
157 ],
158 "seller_details": {
159 "default_billing_entity_id": "string"
160 }
161}
Requires the CUSTOMER.CREATE, CUSTOMER.UPDATE or CUSTOMER.STATUS.DRAFT.UPDATE permission.
Was this page helpful?
Previous

Get a customer by ID or reference

Next
Built with

Authentication

X-API-KEYstring
API Key authentication via header
OR
AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

versionstringRequiredDefaults to 1
version

Headers

x-platform-idstringOptional
Platform ID.

Query parameters

identifier_fieldstringOptional
Which field to use to identify whether the resource exists or not
custom_field_referencestringOptional
Which custom field to use to identify whether the resource exists or not
field_actionsmap from strings to stringsOptional
The list of actions for specific fields.

Request

This endpoint expects an object.
typeenumRequired
The type of customer entity.
Allowed values:
parent_customer_idstring or nullOptional
The parent of the customer. Only returned when there is a single parent.
parent_customer_idslist of strings or nullOptional
A list of parents of the customer. Will also be returned if there is a single parent.
referencestringOptionalformat: "^\S+$"0-256 characters
A custom reference assigned to the customer.
statusenum or nullOptional
Allowed values:
timezonestring or nullOptional
emailstringOptionalformat: "(\S*@\S*\..*)"0-256 characters
The email of the customer.
notification_preferenceslist of objects or nullOptional

Notification preferences for customer-related communications.

localestring or nullOptional

The locale of the customer. Format is language-country (like en-US).

individualobjectOptional
Additional description of the individual customer type.
organizationobjectOptional
Additional description of the organization customer type.
custom_fieldslist of objects or nullOptional
processing_onlyboolean or nullOptional
pricing_plan_subscription_selectorobjectOptional
Settings to influence dynamically the subscription to use for the ingest data.
linked_integrationslist of objects or nullOptional
roleslist of enums or nullOptional
Allowed values:
seller_detailsobjectOptional

Response

Created
object_typestring or nullRead-only
idstring or nullRead-only
created_atstring or nullRead-only
parent_customer_idstring or null
The parent of the customer. Only returned when there is a single parent.
parent_customer_idslist of strings or null
A list of parents of the customer. Will also be returned if there is a single parent.
referencestringformat: "^\S+$"0-256 characters
A custom reference assigned to the customer.
statusenum or null
Allowed values:
timezonestring or null
typeenum
The type of customer entity.
Allowed values:
emailstringformat: "(\S*@\S*\..*)"0-256 characters
The email of the customer.
notification_preferenceslist of objects or null

Notification preferences for customer-related communications.

localestring or null

The locale of the customer. Format is language-country (like en-US).

individualobject
Additional description of the individual customer type.
organizationobject
Additional description of the organization customer type.
custom_fieldslist of objects or null
processing_onlyboolean or null
pricing_plan_subscription_selectorobject
Settings to influence dynamically the subscription to use for the ingest data.
linked_integrationslist of objects or null
roleslist of enums or null
Allowed values:
seller_detailsobject

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
500
Internal Server Error